Skip to main content
POST
/
v1
/
simulate
/
instant_payments
/
{instant_payment_id}
/
incoming_return_request
Simulate Incoming Instant Payment Return Request
curl --request POST \
  --url https://api.sandbox.lead.bank/v1/simulate/instant_payments/{instant_payment_id}/incoming_return_request \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "reason": "duplicate",
  "additional_information": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string
required

Idempotency key

Maximum string length: 255

Path Parameters

instant_payment_id
string
required

ID of the instant payment object you want to request a return for.

Pattern: ^instant_payment_\w+$

Body

application/json
reason
enum<string>
required

The reason for the return request.

Available options:
invalid_creditor_account_number,
wrong_amount,
requested_by_customer,
duplicate,
fraudulent,
narrative,
service_not_rendered,
technical_problem,
not_justified,
other
Example:

"duplicate"

additional_information
string

Accompanying free text explanation for the reason.

Response

Incoming instant payment return request object created.

The response is of type object.